# $Id$
# The System Makefile (C) 2002 The UbixOS Project

all: init-bin login-bin shell-bin ls-bin clock-bin cp-bin edit-bin ld-bin stat-bin cat-bin
# test-bin pwd-bin cat-bin de-bin goofball-bin

init-bin: init 
	(cd init;make)

login-bin: login
	(cd login;make)

shell-bin: shell
	(cd shell;make)

test-bin: test
	(cd test;make)

ls-bin: ls
	(cd ls;make)

pwd-bin: pwd
	(cd pwd;make)

cat-bin: cat
	(cd cat;make)

ld-bin: ld
	(cd ld;make)

de-bin: de
	(cd de;make)

muffin-bin: muffin
	(cd muffin;make)

clock-bin: clock
	(cd clock;make)

cp-bin: cp
	(cd cp;make)


launcher-bin: launcher
	(cd launcher;make)

edit-bin: edit
	(cd edit;make)

stat-bin: stat
	(cd stat;make)

clean:
	(cd cp;make clean)
	(cd init;make clean)
	(cd shell;make clean)
	(cd ls;make clean)
	(cd login;make clean)
	(cd clock;make clean)
	(cd muffin;make clean)
	(cd ld;make clean)
	(cd edit;make clean)
	(cd stat;make clean)
	(cd cat; make clean)
